Re: MIDlet problem

Discussion in 'Java' started by ScOe, Aug 12, 2003.

  1. ScOe

    ScOe Guest

    "David Zimmerman" <> wrote in message
    news:...
    >
    >
    > ScOe wrote:
    > > Well maybe not strait MIDlet ... I've made application for mobile device
    > > which works fine on simulator but when transfered to mobile device i

    receive
    > > error message and app stops executing.
    > > error msg: "unable to load class
    > > javax/microedition/lcdui/ItemCommandListener"

    >
    > Are you trying to put a MIDP2 program onto a MIDP1 device? There is no
    > IemCommandListener in MIDP1
    >

    How do i find out which version is supported by device ?
     
    ScOe, Aug 12, 2003
    #1
    1. Advertising

  2. ScOe wrote:
    > "David Zimmerman" <> wrote in message
    > news:...
    >
    >>
    >>ScOe wrote:
    >>
    >>>Well maybe not strait MIDlet ... I've made application for mobile device
    >>>which works fine on simulator but when transfered to mobile device i

    >>

    > receive
    >
    >>>error message and app stops executing.
    >>>error msg: "unable to load class
    >>>javax/microedition/lcdui/ItemCommandListener"

    >>
    >>Are you trying to put a MIDP2 program onto a MIDP1 device? There is no
    >>IemCommandListener in MIDP1
    >>

    >
    > How do i find out which version is supported by device ?
    >
    >

    Ask the company that built it. If they clain CLDC/MIDP it's almsot
    certainly just MIDP1
     
    David Zimmerman, Aug 12, 2003
    #2
    1. Advertising

  3. ScOe

    Tim Tyler Guest

    ScOe <> wrote:
    : "David Zimmerman" <> wrote in message

    :> Are you trying to put a MIDP2 program onto a MIDP1 device? There is no
    :> IemCommandListener in MIDP1
    :>
    : How do i find out which version is supported by device ?

    System.getProperty("microedition.profiles") should provide that
    information.

    It says things like: "MIDP-1.0".
    --
    __________
    |im |yler http://timtyler.org/
     
    Tim Tyler, Aug 15, 2003
    #3
  4. Tim Tyler wrote:

    > : How do i find out which version is supported by device ?
    >
    > System.getProperty("microedition.profiles") should provide that
    > information.
    >
    > It says things like: "MIDP-1.0".


    However, this is *not* a portable solution. Not all devices will return
    this property, and it's not a part of the specification.

    --
    Darryl L. Pierce <>
    Visit the Infobahn Offramp - <http://bellsouthpwp.net/m/c/mcpierce>
    "What do you care what other people think, Mr. Feynman?"
     
    Darryl L. Pierce, Aug 16, 2003
    #4
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. ac
    Replies:
    0
    Views:
    340
  2. Bob Rivers

    J2ME MIDlet Problem

    Bob Rivers, Jan 10, 2004, in forum: Java
    Replies:
    0
    Views:
    635
    Bob Rivers
    Jan 10, 2004
  3. Farrukh K. Muhammad via JavaKB.com

    MIDlet installation problem - 906 invalid descriptor status report

    Farrukh K. Muhammad via JavaKB.com, Feb 26, 2005, in forum: Java
    Replies:
    4
    Views:
    5,655
    Farrukh K. Muhammad via JavaKB.com
    Feb 27, 2005
  4. Saaji
    Replies:
    0
    Views:
    2,166
    Saaji
    Apr 7, 2006
  5. Maciej
    Replies:
    0
    Views:
    355
    Maciej
    Mar 13, 2008
Loading...

Share This Page